std::ostream_iterator< _Tp, _CharT, _Traits >(3)

NAME
std::ostream_iterator< _Tp, _CharT, _Traits > - Provides output iterator semantics for streams.

SYNOPSIS

Inherits std::iterator< output_iterator_tag, void, void, void, void >.

  Public Types
typedef _CharT char_type
Public typedef.
typedef void difference_type
Distance between iterators is represented as this type.
typedef output_iterator_tag iterator_category
One of the tag types.
typedef basic_ostream< _CharT, _Traits > ostream_type
typedef void pointer
This type represents a pointer-to-value_type.
typedef void reference
This type represents a reference-to-value_type.
typedef _Traits traits_type
typedef void value_type
The type 'pointed to' by the iterator.

  Public Member Functions
ostream_iterator (const ostream_iterator &__obj)
Copy constructor.
ostream_iterator (ostream_type &__s)
Construct from an ostream.
ostream_iterator (ostream_type &__s, const _CharT *__c)
ostream_iterator & operator* ()
ostream_iterator & operator++ ()
ostream_iterator & operator++ (int)
ostream_iterator & operator= (const _Tp &__value)
Writes value to underlying ostream using operator<<. If constructed with delimiter string, writes delimiter to ostream.
ostream_iterator & operator= (const ostream_iterator &)=default

Detailed Description

  template<typename _Tp, typename _CharT = char, typename _Traits = char_traits<_CharT>>
class std::ostream_iterator< _Tp, _CharT, _Traits >" Provides output iterator semantics for streams. This class provides an iterator to write to an ostream. The type Tp is the only type written by this iterator and there must be an operator<<(Tp) defined.

Template Parameters
    _Tp The type to write to the ostream.
    _CharT The ostream char_type.
    _Traits The ostream char_traits.

Definition at line 176 of file stream_iterator.h.

Member Typedef Documentation

  typedef void std::iterator< output_iterator_tag , void , void , void , void >::difference_type [inherited]

Distance between iterators is represented as this type.

Definition at line 134 of file stl_iterator_base_types.h.

  typedef output_iterator_tag std::iterator< output_iterator_tag , void , void , void , void >::iterator_category [inherited]

One of the tag types.

Definition at line 130 of file stl_iterator_base_types.h.

  typedef void std::iterator< output_iterator_tag , void , void , void , void >::pointer [inherited]

This type represents a pointer-to-value_type.

Definition at line 136 of file stl_iterator_base_types.h.

  typedef void std::iterator< output_iterator_tag , void , void , void , void >::reference [inherited]

This type represents a reference-to-value_type.

Definition at line 138 of file stl_iterator_base_types.h.

  typedef void std::iterator< output_iterator_tag , void , void , void , void >::value_type [inherited]

The type 'pointed to' by the iterator.

Definition at line 132 of file stl_iterator_base_types.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.